Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1314992

Summary: playonlinux not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: playonlinuxAssignee: Jiri Konecny <jkonecny>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jkonecny, zbyszek
Target Milestone: ---Keywords: EasyFix, Patch
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: playonlinux-4.2.10-7.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-20 02:30:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Build with $RPM_OPT_FLAGS none

Description Ville Skyttä 2016-03-05 13:40:53 UTC
'git am'able fix attached.

Comment 1 Ville Skyttä 2016-03-05 13:40:56 UTC
Created attachment 1133317 [details]
Build with $RPM_OPT_FLAGS

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-03-05 14:24:58 UTC
Shouldn't this be part of %make_build?

Comment 3 Ville Skyttä 2016-03-05 14:29:36 UTC
No. Build systems are quite sensitive and different on how to override compiler flags. Some need them as env vars such as in this case, some need them specified as arguments to make, and the variable names differ etc.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-03-05 15:22:36 UTC
OK.

Comment 5 Jiri Konecny 2016-03-07 07:26:48 UTC
Thank you for the patch. I'll apply it soon.

Comment 6 Fedora Update System 2016-03-07 08:49:41 UTC
playonlinux-4.2.10-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-770d520ac2

Comment 7 Fedora Update System 2016-03-09 22:57:38 UTC
playonlinux-4.2.10-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-770d520ac2

Comment 8 Fedora Update System 2016-03-20 02:30:07 UTC
playonlinux-4.2.10-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.